<?php /* Post Format: Image */ ?>

<?php
$args = array(
	'numberposts' => 1,
	'order' => 'DESC',
	'post_mime_type' => 'image',
	'post_parent' => $post->ID,
	'post_status' => null,
	'post_type' => 'attachment',
);
$attachments = get_children( $args );
$firstimg = "";
if ( !empty( $attachments ) ) {
	foreach ( $attachments as $attachment ) {
		$image_attributes = wp_get_attachment_image_src( $attachment->ID, 'square' );
		$firstimg .= '<div class="post-format-image"><img src="' . $image_attributes[0] . '"></div><div class="image-divider"></div>';
	}
}
$postlink = urlgrabber();
if ( !empty ( $postlink ) ) {
	$postimage = '<div class="post-format-image"><img src="'.$postlink.'"></div>';	
}
else {
	$postimage = $firstimg;
} ?>


<div id="post-<?php the_ID(); ?>" <?php post_class('post-single'); ?>>
	
	<?php if ( is_single() || is_home() || is_category() || is_search() || is_date() || is_tag() || is_author() ) { ?>
    
    <div class="post-wrapper">
        <div class="post-header">
            <?php if ( is_single() ) { ?>
            	<h1><?php the_title(); ?></h1>
            <?php } else { ?>
            	<h2><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
            <?php } ?>
        </div><!--.post-header-->
        <div class="clearleft"></div>
        <div class="post-content">
            <?php echo $postimage; ?>
        </div>
        <?php include 'post-meta.php'; ?>
        <div class="clearboth"></div>   
    </div>
    
    <?php } else { ?>
    
    <?php 
	if ( !empty ( $postlink ) ) {
		$imageformat = $postlink;	
	} else {
		if ( !empty ( $image_attributes[0] ) ) {
			$imageformat = $image_attributes[0];	
		} else {
			$imageformat = '';
		}
	}
	?>
    
    <?php $ov_img = get_option_tree('show_overlays','',false,true,-1);
	if ( isset($ov_img[1])  ) {
		if ( function_exists('get_option_tree') && $ov_img[1] == 'Image/Gallery' ) { ?>
    <div class="overlay-image"></div>
    <?php }} ?>
    <div class="inner-image-placeholder" id="post-<?php echo $post->ID; ?>-in">
    	<a href="<?php echo $imageformat; ?>">
    		<div class="image-link-inner"></div>
    	</a>
        <?php if ( function_exists('get_option_tree') && get_option_tree('disable_captions') != 'Never show' ) {
		?>
        <div class="image-post-overlay">
			<div class="image-post-overlay-in">
				<?php the_title(); ?>
            </div>
        </div>
        <?php } ?>
 
		<style type="text/css">
		#post-<?php echo $post->ID; ?>-in {
			<?php echo 'background-image: url("'.$imageformat.'");'; ?>
			filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(
			src='<?php echo $imageformat; ?>',
			sizingMethod='scale');
			-ms-filter: "progid:DXImageTransform.Microsoft.AlphaImageLoader(
			src='<?php echo $imageformat; ?>',
			sizingMethod='scale')";
		}
		<?php if ( !has_excerpt ( $post->ID ) ) { ?>
		<?php } ?>
		</style>
    </div>    
	
	<?php } ?>
       
</div><!--.post-single-->